package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaEmailAccount;
import com.ruoyi.oa.domain.request.EmailSendRequest;
import com.ruoyi.oa.domain.vo.OaEmailAccountVo;
import com.ruoyi.oa.domain.bo.OaEmailAccountBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 发件人邮箱账号管理Service接口
 *
 * @author Joshi
 * @date 2025-07-10
 */
public interface IOaEmailAccountService {

    /**
     * 查询发件人邮箱账号管理
     */
    OaEmailAccountVo queryById(Long emailId);

    /**
     * 查询发件人邮箱账号管理列表
     */
    TableDataInfo<OaEmailAccountVo> queryPageList(OaEmailAccountBo bo, PageQuery pageQuery);

    /**
     * 查询发件人邮箱账号管理列表
     */
    List<OaEmailAccountVo> queryList(OaEmailAccountBo bo);

    /**
     * 新增发件人邮箱账号管理
     */
    Boolean insertByBo(OaEmailAccountBo bo);

    /**
     * 修改发件人邮箱账号管理
     */
    Boolean updateByBo(OaEmailAccountBo bo);

    /**
     * 校验并批量删除发件人邮箱账号管理信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 批量发送邮件（支持网易企业邮箱、飞书SMTP）
     */
    String sendBatchEmail(EmailSendRequest request);
}
